/*prebuilt popup*/
a:focus{
    outline: none;
    box-shadow: none;
}
#wppb-custom-popup-section{
        padding: 0 16px 0 0;
}
.prebuilt-pupup-layout-container{
    display: none;
}
.wppb-popup-name-layout{
        padding: 12px 40px 81px 40px;
    width: 100%;
    height: max-content;
    position: relative;
    box-sizing: border-box;
    min-height: 600px;
}
.prebulit-demo-popup .wppb-popup-custom-wrapper{
    width: 100%;
}
.prebulilt-popup-inner > ul{
         width: 100%;
    display: flex;
    justify-content: center;
}
.prebulilt-popup-inner > ul > li{
        margin: 0 10px;
}
.prebulilt-popup-inner input{
    display: none;
}
.prebulilt-popup-inner label{
    display: block;
    cursor: pointer;
    position: relative;
    transition: .4s all linear;
    height: 110px;
}
.prebulilt-popup-inner label img{
        width: 100%;
    height: 100%;
}
.prebulilt-popup-inner label:hover,
.wppb-prebuilt-popup-json .wppb-popup-json-label:hover{
       opacity: .6;
}
.prebulilt-popup-inner input:checked ~ label,
.prebulilt-popup-inner input:checked ~ label:hover,
.wppb-prebuilt-popup-json input:checked ~ .wppb-popup-json-label:hover{
    opacity: 1;
}
.prebulilt-popup-inner input:checked ~ label:before,
.wppb-prebuilt-popup-json input:checked ~ .wppb-popup-json-label:before{
    content: "\f12a";
    font-family: dashicons;
    position: absolute;
    top: 11px;
    left: 6px;
    color: white;
    z-index: 1000;
    font-size: 29px;
}
.prebulilt-popup-inner input:checked ~ label:after,
.wppb-prebuilt-popup-json input:checked ~ .wppb-popup-json-label:after{
       content: "";
    position: absolute;
    top: 0;
    left: 0;
    z-index: 999;
    width: 100%;
    height: 100%;
    background: #33323563;
}
.wppb-prebuilt-popup-json img{
    max-width: 100%;
}
.wppb-prebuilt-popup-json .wppb-popup-json-label{
        display: block;
    box-shadow: 0px 0px 4px 1px #d8d8d8;
    position: relative;
    margin: auto;
    padding: 13px;
     transition: .4s all linear; 
    height: 173px;
    overflow: hidden;
}
.wppb-prebuilt-popup-json input[type="radio"]{
    display: none;
}
.wppb-prebuilt-popup-json .wppb-popup-custom-wrapper{
       max-width: 100%;
    zoom: .7;
}
.wppb-prebuilt-popup-json .wppb-popup-close-btn{
    display: none;
}
.wppb-popup-name-layout .rl_i_editor-item-content-header > nav{
        display: flex;
    justify-content: center;
    background: #6747e6;
    width: fit-content;
    margin: auto;
    border-radius: 4px;
    overflow: hidden;
    margin-bottom: 34px;
}
.wppb-popup-name-layout .rl_i_editor-item-content-header > nav > span{
        background: #cacaca;
    padding: 10px 42px;
    color: white;
    font-size: 15px;
    letter-spacing: 1px;
    cursor: pointer;
    transition: .4s all linear;
}
.wppb-popup-name-layout .rl_i_editor-item-content-header > nav span.active_{
        background: #6747e6;
}
.wppb-prebuilt-popup-json .wppb-popup-row{
        margin-bottom: 20px;
}
.wp-popup-name-layout-name-init{
         border: 1px solid #d8d8d8;
    border-left: none;
    border-right: none;
    position: absolute;
    width: 100%;
    bottom: 0;
    left: 0;
    text-align: right;
    padding: 12px 30px;
    box-sizing: border-box;
}
.wp-popup-name-layout-name-init-2{
    text-align: right;
}
.wppb-popup-name-init{
        background-color: #6747e6;
    border: none;
    color: white;
    padding: 6px 29px;
    border-radius: 4px;
    cursor: pointer;
    font-size: 17px;
}

.wppb-popup-name{
       margin: 24px 0;
}
.wppb-popup-name > div {
     font-size: 14px;
    color: #9E9E9E;
    letter-spacing: 0.02em;
    font-weight: 500;
    display: flex;
    align-items: center;
    justify-content: center;
}
.wppb-popup-name > div > input{
    margin-left: 55px;
    border: 1px solid #D8D8D8;
    color: inherit;
    letter-spacing: 1px;
    width: 373px;
    font-size: 18px;
    padding: 4px 12px;
}
.wppb-popup-name > div > input:focus{
    border: 1px solid #8a8888;
    box-shadow: none;
    outline: none;
}

.prebulilt-popup-inner .wppb-popup-custom-content{
        padding: unset;
}
.prebulilt-popup-inner img{
    max-width: 100%;
}
.prebulilt-popup-inner span{
        display: block;
    text-align: center;
    width: 100%;
}
/*business popup custom popup css*/
.wppb-popup-demo .wppb-popup-custom{
    padding: 5rem 0;
    width: fit-content;
    min-width: 832px;
    max-width: 1000px;
    margin: 36px auto 36px;
    border-radius: 2px;
    background-color: #00000021;
    perspective: 108px;
    position: relative;
    height: max-content;
    /*display: none;*/
    font-size: 10px;
}
.wppb-popup-demo .wppb-popup-custom > div{
    width: fit-content;
    margin: auto;
    position: relative;
}

.wppb-popup-demo .wppb-popup-custom .wppb-popup-custom-content .data-rl-editable-wrap > span,
.wppb-prebuilt-popup-json .wppb-popup-custom-wrapper .wppb-popup-custom-content div span{
          display: block;
    line-height: 1;
    color: #cacaca;
    font-size: 16px;
    text-align: center;
    width: 100%;
    margin: 3px 0;
    font-weight: normal;
    letter-spacing: 1px;
    padding: 1px 0;
    position: relative;
    box-sizing: border-box;
}
.wppb-popup-demo .wppb-popup-custom  .wppb-popup-lead-form .leadform-show-form span{
        font-weight: normal;
    color: #cacaca;
    font-size: 16px;
}
.wppb-popup-custom-wrapper{
        position: relative;
    margin: auto;
    width: 550px;
    /*overflow: hidden;*/
}
.wppb-popup-overlay-custom-img{
        position: absolute;
    height: 100%;
    width: 100%;
    z-index: 2;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: left bottom;
    border-radius: inherit;
}
.wppb-popup-custom-overlay{
        position: absolute;
    width: 100%;
    height: 100%;
    z-index: 2;
    border-radius: inherit;
}
.wppb-popup-custom-content{
    z-index: 4;
    position: relative;
    padding: 23px 37px 23px;
    overflow-x: initial;
}
.wppb-popup-custom img{
    max-width: 100%;
    max-height: 100%;
    box-sizing: border-box;
}
.data-rl-editable-wrap{
    position: relative;
    display: flex;
}
.data-rl-editable-wrap .actions_{
        position: absolute;
    right: -2px;
    top: -2px;
    z-index: 4;
    opacity: 0;
    transition: .2s all linear;
}
.wppb-popup-demo .wppb-popup-custom .wppb-popup-custom-content .data-rl-editable-wrap .actions_ > span{
    font-size: 15px;
    text-align: center;
    height: auto;
    width: auto;
    color: #F5F5F5;
    cursor: pointer;
    background: #6647E6;
    border-radius: 2px;
}
.wppb-popup-custom .data-rl-editable-wrap:hover .actions_{
    opacity: 1;
}
/*editable section */

.rl-editable-key-action:not(img){
        position: relative;
    outline: 1px solid #6747e6;
    outline-offset: -1px;
    outline-style: dotted;
}
.wppb-popup-custom [data-rl-editable]:not([data-rl-editable="image"]):hover,
.wppb-popup-custom .wppb-popup-lead-form:hover,
.wppb-popup-custom .data-rl-editable-wrap.wrap-image_:hover{
          outline: 1px solid #6747e6;
    cursor: pointer;
    outline-offset: -1px;
    outline-style: dotted;
}
.wppb-popup-custom [data-rl-editable]:before,
.wppb-popup-custom .wppb-popup-lead-form:before,
.wppb-popup-custom .data-rl-editable-wrap.wrap-image_:before{
        content: 'Text';
    font-size: 14px;
    position: absolute;
    background: #6747e6;
    color: #f3f3f3;
    left: 0px;
    top: -16px;
    display: none;
    z-index: 2;
    padding: 0px 10px;
    line-height: 17px;
    border-radius: 3px 3px 0px 0px;
}
.wppb-popup-custom [data-rl-editable="heading"]:before{
        content: 'Heading';
}
.wppb-popup-custom .data-rl-editable-wrap.wrap-image_:before{
        content: 'Image';
}
.wppb-popup-custom [data-rl-editable="link"]:before{
        content: 'Link';
}
.wppb-popup-custom .wppb-popup-lead-form:before{
        content: 'Form';
}
.wppb-popup-custom [data-rl-editable]:hover:before,
.wppb-popup-custom .wppb-popup-lead-form:hover:before,
.wppb-popup-custom .data-rl-editable-wrap.wrap-image_:hover:before{
    display: block;
}
.wppb-popup-demo .wppb-popup-custom span.text-heading{
        font-size: 27px;
    font-weight: 500;
}
/*lead form builder design*/
.wppb-popup-lead-form{
    width: 100%;
}
.wppb-popup-lead-form .leadform-show-form{
        max-width: 100%;
    padding: 4px;
}
.wppb-popup-lead-form .lead-form-front{
        padding: 15px;
    background-size: 100%;
    box-sizing: border-box;
    /*max-height: 250px;*/
    /*overflow-y: scroll;*/
}
.wppb-popup-lead-form .lead-form-front ul,.wppb-popup-lead-form .lead-form-front li{
    margin: 0;
}
.wppb-popup-lead-form .leadform-show-form input[type='submit']{
       padding: 10px 30px;
    border-color: #000;
    border-radius: 3px;
    text-transform: uppercase;
    font-size: 18px;
    font-weight: 700;
    color: #fff;
    cursor: pointer;
    background: #0C0C10;
    -webkit-transition: all .3s;
    -moz-transition: all .3s;
    transition: all .3s;
    white-space: inherit;
    width: fit-content;
    max-width: unset;
}
.wppb-popup-lead-form.lf_submit_center .submit-type.lf-field{
    text-align: center;
}
.wppb-popup-lead-form.lf_submit_right .submit-type.lf-field{
    text-align: right;
}
.wppb-popup-lead-form .leadform-show-form input:not([type='submit']):not([type='radio']):not([type='checkbox']),
.wppb-popup-lead-form .leadform-show-form textarea{
         width: 100%;
    border: 1px solid gainsboro;
    color: #272525;
    margin: 2px 0;
    padding: 3px 6px;
    height: auto;
    min-height: 12px;
    font-size: 14px;
    line-height: 19px;
}
.wppb-popup-lead-form .leadform-show-form input::placeholder,
.wppb-popup-lead-form .leadform-show-form textarea::placeholder{
    color: inherit;
}
.wppb-popup-lead-form .leadform-show-form h2{
        margin: 5px 0;
    line-height: 24px;
    font-size: 22px;
    font-weight: 500;
    color: rgba(82, 82, 82, 1);
    line-height: 1;
    word-break: break-all;
}
.wppb-popup-lead-form .leadform-show-form label{
        margin: 5px 0;
    font-size: 15px;
    color: rgba(82, 82, 82, 1);
    line-height: 1;
    display: block;
}
.wppb-popup-lead-form .leadform-show-form div.lf-field{
    margin:0;
    box-sizing: border-box;
}

/*popup page design*/
.tempIdShow{
     text-align: center;
    background-color: #F9F9F9;
    padding: 12px 0;
    font-size: 16px;
}
.rlLoading{
       position: relative;
    pointer-events: none;
}
.rlLoading:before{
       position: absolute;
    background: #e0dede91;
    content: "";
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    z-index: 1;
    border-radius: inherit; 
}
.rlLoading:after{
    content: "";
    border: 3px solid #868686;
    border-right-color:#f7f7f7;
    height: 13px;
    width: 13px;
    border-radius: 50%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
    animation:loading_rotate .8s linear infinite;
}

@keyframes loading_rotate{
    100%{
        transform: translate(-50%, -50%) rotate(360deg);
    }
}

/*business confirm modal reset*/
.resetConfirmPopup{
          position: absolute;
    background: #353434e6;
    width: 100%;
    height: 100%;
    z-index: 1000;
    left: 0;
    top: 0;
    display: none;
    font-family: "Montserrat", sans-serif;
    font-weight: 500;
}
.resetConfirmPopup.active{
    display: block;
}
.reserConfirm_inner{
    display: flex;
    justify-content: center;
    perspective: 108px;
}
.resetWrapper{
         height: fit-content;
    background: white;
    margin-top: 20%;
    min-width: 312px;
    max-width: 400px;
    letter-spacing: 1px;
    text-align: center;
}
.resetConfirmPopup.active .resetWrapper{
    animation:effect_three .5s 0s 1 normal ease-in forwards;
}
.resetConfirmPopup.active.deactive .resetWrapper{
    animation:effect_three_close .5s 0s 1 normal ease-in forwards;
}
.resetHeader{
    color: white;
    background-color: #ee5a36;
    padding: 10px;
}
.resetFooter{
        display: flex;
    justify-content: center;
    padding: 20px 0;
}
.resetFooter .wppbPopup{
        padding: 7px 20px;
    text-decoration: none;
    margin: 0 10px;
    color: white;
}
.resetFooter .wppbPopup:focus{
    outline: none;
    box-shadow: none;
}
.resetFooter .wppbPopup.confirm{
        background-color: #34b734;
}
.resetFooter .wppbPopup.deny{
        background-color: #F44336;
}
.resetFooter .wppbPopup > span {
    margin-right: 5px;
    height: auto;
    width: auto;
}
/*business confirm modal reset*/

/*layout setting*/
.rl-display-none{
    display: none;
}
.wppb-popup-rl-wrap{
    display: flex;
    color: white;
    align-items: center;
}
.wppb-popup-rl-wrap .wppb-popup-rl-column{
        box-sizing: border-box;
    min-height: 10px;
    width: 100%;
}
.wppb-popup-rl-wrap.two-column .wppb-popup-rl-column{
    float: left;
    width: 50%;
}
.wppb-popup-close-btn{
        right: 5%;
    top: 5%;
    position: absolute;
    width: auto;
    height: auto;
    font-size: 20px;
    border: none;
    cursor: pointer;
        z-index: 5;
}
.wppb-custom-popup-section img{
    max-width: 100%;
    max-height: 100%;
}
.wppb-custom-popup-section{
    font-size: 10px;
}
.wppb-custom-popup-section .wppb-popup-row{
    margin-top: 15px;
}
.wppb-custom-popup-section .data-rl-editable-wrap > span{
       display: block;
    line-height: 1;
    color: white;
    font-size: 16px;
    text-align: center;
    width: 100%;
    margin: 3px 0;
    font-weight: normal;
    letter-spacing: 1px;
    padding: 1px 0;
    position: relative;
}
.wppb-custom-popup-section .wppb-popup-custom-wrapper{
       width: unset!important;
    height: 100%;
}
.wppb-custom-popup-section .wppb-popup-demo-wrapper{
        height: 240px;
    overflow: hidden;
    zoom: .6;
}
.wppb-custom-popup-section .wppb-popup-demo:hover {
    box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22);
}
.wppb-custom-popup-heading{
    display: flex;
    align-items: center;
    margin-top: 50px;
}
.wppb-custom-popup-heading > a{
        background: #6747E6;
    display: block;
    padding: 6px 7px;
    color: white;
    text-decoration: none;
    font-size: 1.2em;
    margin-left: 2em;
    letter-spacing: .05em;
}